body {
    background: linear-gradient(90deg, #090f1a, rgb(36, 59, 85));
    font-family: "Nunito", sans-serif;
}



/*NAV*/
#nav1 {
    background: linear-gradient(90deg, #141e30, #243b55);
    color: white;
    border-bottom: 2px solid black;
}

#nav1:hover {
    background: linear-gradient(180deg, #141e30, #243b55);

}

#nav1 :is(.nav-link, .navbar-brand) {
    color: white;

}

#nav1 :is(.nav-link, .navbar-brand):hover {
    background: linear-gradient(90deg, #778da9, #141e30);
    background-clip: text;
    -webkit-text-fill-color: transparent;
}




/*Hero Section `header`*/
#HeaderSection {
    background-image: url(PHOTO/Greece.jpg);
    background-size: cover;
    border: 2px solid black;


}

/*About Me*/
#AboutMe {
    background-image: url(PHOTO/IMG_20250622_211542[1].jpg);
    background-size: cover;
    border: 2px solid black;
    box-shadow: 0 0 10px rgba(34, 211, 238, 0.4);
    border-radius: 12px;


}


.overlay-box {
    background-color: rgba(0, 0, 0, 0.4);
    padding: 20px;
    border-radius: 10px;

}





/*Skill Section*/
#Skills {
    background: rgba(20, 30, 48, 0.6);
    backdrop-filter: blur(10px);
    border-radius: 12px;
    border: 2px solid black;
    box-shadow: 0 0 10px rgba(34, 211, 238, 0.4);

}

.styleBox {
    border-radius: 20px;
    padding: 20px;
    box-shadow: rgba(36, 59, 85, 0.7) 5px 15px 30px 5px;
    background-image: linear-gradient(144deg, #450474, #5B42F3 50%, #00DDEB);
}

.styleBoxContent {
    margin-bottom: 50px;
    background: black;
    border-radius: 17px;
    border: 2px solid black;
    width: 100%;

}
.textbreak{
     word-break: break-all;
}

/* Progress bar style */
.progress {
    height: 10px;
    border-radius: 10px;
    background-color: #2c2c2c;
    overflow: hidden;
    border: 2px solid black;
}

.progress-bar {

    width: 0;
    border-radius: 10px;
    transition: width 1.2s ease-in-out;
}

/* When visible */
.progress.show .progress-bar {
    width: var(--value);
}

/* List*/
ul li {
    width: 200px;
    height: 35px;
    display: flex;
    align-items: center;
    margin: 1.5em;
    padding: 1em;
    background: black;
    position: relative;
    color: white;
    border-radius: 5px;

}

ul li::before,
ul li::after {
    box-shadow: rgba(36, 59, 85, 0.7) 5px 15px 30px 5px;
    content: "";
    position: absolute;
    z-index: -1;
    border-radius: 5px;
    width: 105%;
    transition: all 0.4s;
}

ul li::before {
    left: 0%;
    height: 130%;
    background: linear-gradient(to right, #021B79, #0575E6);
}

ul li::after {
    left: -10%;
    height: 120%;
    background: black;
    backdrop-filter: blur(10px);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.164);
}

ul li:hover::before {
    transform: translateX(-2.5%);
}

ul li:hover::after {
    transform: translateX(15%);
}


/*Projects*/
#Projects {
    background: rgba(20, 30, 48, 0.6);
    backdrop-filter: blur(10px);
    border-radius: 12px;
    border: 2px solid black;
    box-shadow: 0 0 10px rgba(34, 211, 238, 0.4);
}

.imgCardSize{
    height: 300px;
    width: auto;
}


@media (min-width: 992px) {
    .full-height-lg {
        height: 100vh;
    }
}

